Search Segments
curl --request POST \
--url https://api.virtuoussoftware.com/api/Segment/Search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: '<string>'})
};
fetch('https://api.virtuoussoftware.com/api/Segment/Search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Segment/Search"
payload = { "search": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Segment/Search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"search\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Segment/Search';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: '<string>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 5100,
"name": "Spring Appeal 2025 — Direct Mail",
"description": "Lapsed and mid-level donors targeted in the Spring Appeal direct-mail drop.",
"code": "SP-2025-DM",
"communicationId": 4400,
"communicationName": "Spring Appeal 2025 — Direct Mail",
"campaignId": 2010,
"campaignName": "Spring Appeal 2025",
"segmentOrganizerId": 5001
}
],
"total": 42
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Campaigns
Search Segments
Returns the segments whose name or code matches, fully or partially, the search term in the request body. Use skip and take to page through the results.
POST
/
api
/
Segment
/
Search
Search Segments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
Body
application/json
Last modified on August 11, 2026
Was this page helpful?
⌘I